package Models

import (
	"time"

	"github.com/gofrs/uuid"
)

// Set with Friend being the requestee, and RequestFromID being the requester
type FriendRequest struct {
	Base
	UserID                    uuid.UUID `gorm:"type:uuid;column:user_id;not null;" json:"user_id"`
	User                      User      `                                          json:"user"`
	UserUsername              string    `                                          json:"user_username"`
	FriendID                  string    `gorm:"not null"                           json:"friend_id"` // Stored encrypted
	FriendUsername            string    `                                          json:"friend_username"`
	FriendPublicAsymmetricKey string    `                                          json:"asymmetric_public_key"`
	SymmetricKey              string    `gorm:"not null"                           json:"symmetric_key"` // Stored encrypted
	AcceptedAt                time.Time `                                          json:"accepted_at"`
}
